#!/bin/bash

prefix=/usr
bindir=${prefix}/bin
datadir=${prefix}/share
mandir=${datadir}/man
infodir=${datadir}/info

ptex_src_ver=3.1.3

unset TEXINPUTS
CFLAGS="-O2" CXXFLAGS="-O2" AR=ar ./configure \
  --prefix=${prefix} --mandir=${mandir} \
  --bindir=${bindir} --infodir=${infodir} \
  --with-system-ncurses --with-system-zlib --with-system-pnglib \
  --with-system-tifflib --with-ssl \
  --disable-multiplatform --without-dialog --without-texinfo \
  --enable-shared \
  --without-xdvik --without-oxdvik
touch texk/udvipsk/c-auto.h
make vartexfonts=/var/lib/texmf

( cd texk/web2c/ptex-src-${ptex_src_ver}
  CFLAGS="-O2" ./configure SJIS; make programs
)

cp -p texk/dvipdfm/dvipdft texk/dvipdfm/dvipdft.orig
sed -e "s/dvipdfm/dvipdfmx/g" -e "s/-dt/-Tt/g" \
    < texk/dvipdfm/dvipdft.orig > texk/dvipdfm/dvipdft
